From f03113a6089a78140827016ccef7277094a395f1 Mon Sep 17 00:00:00 2001
From: Parth Patel <parthamrutbhai.patel@sjsu.edu>
Date: Sat, 12 Mar 2022 15:06:31 -0800
Subject: [PATCH 2/2] Fixes Issue 241, Handle null EmojipickerHelper object,
 a=chris

---
 src/css/messages.css                       | 2 +-
 src/views/elements/UsermessagesElement.php | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/views/elements/UsermessagesElement.php b/src/views/elements/UsermessagesElement.php
index b1f1bbca1..6f11de750 100644
--- a/src/views/elements/UsermessagesElement.php
+++ b/src/views/elements/UsermessagesElement.php
@@ -54,6 +54,9 @@ class UsermessagesElement extends Element implements CrawlConstants
      */
     public function render($data)
     {
+        if (is_null($this->emoji_helper)) {
+            $this->emoji_helper = $this->view->helper('emojipicker');
+        }
         $is_mobile = !empty($data['MOBILE']);
         if (!empty($data['STATUS'])) {
             if (!empty($data['MESSAGES'])) {
@@ -61,7 +64,6 @@ class UsermessagesElement extends Element implements CrawlConstants
             }
             return;
         }
-        $this->emoji_helper = $this->view->helper('emojipicker');
         ?>
         <div class="messages-container"><?php
         if ($is_mobile && empty($data['CONTACT_ID']) || !$is_mobile) { ?>
-- 
2.35.1

